Bug 198353 - Package autofs lacks IPv6 support
Package autofs lacks IPv6 support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
bzcl34nup
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:14 EDT by Peter Vrabec
Modified: 2009-07-14 12:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:14:15 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/autofs-5.0.0_beta5/lib/rpc_subs.c:73:	raddr.sin_family = AF_INET;
/autofs-5.0.0_beta5/lib/rpc_subs.c:98:		fd = socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP);
/autofs-5.0.0_beta5/lib/rpc_subs.c:101:		laddr.sin_family = AF_INET;
/autofs-5.0.0_beta5/lib/rpc_subs.c:261:	addr.sin_family = AF_INET;
/autofs-5.0.0_beta5/lib/rpc_subs.c:281:		fd = socket(PF_INET, SOCK_STREAM, info->proto->p_proto);
/autofs-5.0.0_beta5/modules/replicated.c:90:	sock = socket(AF_INET, SOCK_DGRAM, 0);
/autofs-5.0.0_beta5/modules/replicated.c:117:		case AF_INET:
/autofs-5.0.0_beta5/modules/replicated.c:141:		case AF_INET:
/autofs-5.0.0_beta5/modules/replicated.c:703:	saddr.sin_family = AF_INET;
Comment 1 Ian Kent 2006-07-11 06:56:18 EDT
(In reply to comment #0)
> This bug was reported automaticaly in connection with IPv6 project.
> Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will
be ready for IPv6.
> 			
> This package seems to lack IPv6 support as is illustrated in attached log.
> 	
> Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

Which doesn't even hint at the amount of work needed for
this.

I've started work on it but it will be a while before it
is in a state to merge it into the source tree.

I must point out that my main focus on this is to use IPv6
ready API functions where possible, such as for name lookup,
but the bulk of the changes will do nothing initially as
dependent subsystems are not IPv6 ready. Specifically the
glibc sunrpc subsystem.

Also I expect I'll need a bit of help and advice.
Can I expect to get this support from ipv6 list?

Ian
Comment 2 Peter Vrabec 2006-07-19 03:59:17 EDT
Yes, you can. Ulrich's IPv6 introduction may help you:
http://people.redhat.com/drepper/userapi-ipv6.html
Comment 3 Jeffrey Moyer 2006-07-19 07:14:08 EDT
Still, we can't be fully IPV6 compliant until we ship a sunrpc implementation
that is.
Comment 4 Bug Zapper 2008-04-03 13:37:35 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Jeffrey Moyer 2008-04-03 14:59:11 EDT
This still needs to be addressed.
Comment 6 Bug Zapper 2008-05-13 22:12:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:11:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:59:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.